AnyEvent::XMPP::IM::Delayed(3)

NAME
AnyEvent::XMPP::IM::Delayed - A delayed "XML" stanza

SYNOPSIS

DESCRIPTION
This module handles the delayed fields of stanzas and is a superclass of AnyEvent::XMPP::IM::Message and AnyEvent::XMPP::IM::Presence.

METHODS

new The constructor takes no arguments and makes just a new object of this class.

xml_node ()
    Returns the AnyEvent::XMPP::Node object for this stream error.

fetch_delay_from_node ($node)
    $node must be a AnyEvent::XMPP::Node. This method will try to fetch the delay information from the $node. It will look in the lists of child nodes for the delay elements and set it's values from there.

delay_from
    This method returns either the original source of a maybe delayed stanza. It's the JID of the original entity that sent the stanza.

    This method returns undef if this stanza was not delayed.

    And this method returns undef if this stanza had no details about who sent the message in the first place.

    To find out whether this stanza was delayed use the "delay_stamp" method.

delay_stamp
    This method returns the timestamp in XMPP format which can be fed to the "from_xmpp_datetime" function documented in AnyEvent::XMPP::Util.

    (Please note that this might be a newstyle XEP-0087 timestamp or old style legacy timestamp)

    If the stanza was not delayed this method returns undef.

delay_reason
    This method might return a human readable string containing the reason why the stanza was delayed.

    Will be undef if stanza contained no delay.

is_delayed
    If this method returns a true value then this stanza was delayed. Otherwise it returns undef.

AUTHOR
Robin Redeker, "<elmex at ta-sa.org>", JID: "<elmex at jabber.org>"

COPYRIGHT & LICENSE
Copyright 2007, 2008 Robin Redeker, all rights reserved.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.